VBA and Esnap

Does anyone know how to enable Esnap during VBA routine? Say during getpoint method? I can "esnap" but only around some fixed(known) point, not interactively with that yellow marker appearace during cursor movement. Or do you know how to select point with some other VBA routine with that esnap?

Comments

  • Use the EntitySnap metod (member of Utitlty)Function EntitySnap(InputPoint As Point, SnapMode As ObjectSnapMode) As Point Member of IntelliCAD.Utility Finds a point by means of an entity snap. OSmode = ThisDrawing.GetVariable("OSMODE")Set PickPoint = ThisDrawing.Utility.GetPoint(, "Org of Box") If PickPoint Is Nothing Then MsgBox "no valid points for PickPoint" GoTo NoValidPoints End If On Error Resume Next Set PtUCS = ThisDrawing.Utility.EntitySnap(PickPoint, OSmode) If PtUCS Is Nothing Then Set PtUCS = PickPoint End If

  • Has the esnap been fixed under vba/vb still can't get it to work with the fly over snap.Any help would be most welcome

This discussion has been closed.